/***************************************************************************
 *   Copyright (C) 2005 by Joel R. Voss                                    *
 *   jvoss@myuw.net                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#include "neural.h"

int main(int argc, char *argv[])
{
	printf("Test Neural\n");
	
	// Each object.
	NeuralInput a = true, b = true, c = false;
	NeuralInput input_data[] = {true, false, true};
	NeuralNode node1, node2, node3;
	NeuralLayer layer1, layer2, layer3;
	NeuralNetwork net;
	NeuralInput *output;
	
	// Manually initialize in C.
	NeuralNetwork_init(&net, 3, 3);
	// What is the output based on the input?
	output = NeuralNetwork_update(&net, input_data);
	// Manually destroy in C.
	NeuralNetwork_destroy(&net);

	// Manually initialize in C.
	NeuralLayer_init(&layer1, 3);
	// What is the output based on the input?
	output = NeuralLayer_update(&layer1, input_data);
	// Manually destroy in C.
	NeuralLayer_destroy(&layer1);

	// Manually initialize in C.
	NeuralNode_init(&node1, 3);
	// What is the output based on the input?
	NeuralInput d = NeuralNode_update(&node1, input_data);
	// Manually destroy in C.
	NeuralNode_destroy(&node1);

	return 0;
}
